<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateRoles extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('roles')
			->addColumn('description', 'string', ['length' => 50, 'null' => false])
			->addColumn('level', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('inherits', 'integer', ['length' => 10, 'default' => 0, 'signed' => false])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
